﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindSourceFollowGroupDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindSourceFollowGroupDao {
	return &SuperCloudIssuanceUserRobotBindSourceFollowGroupDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindSourceFollowGroupDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotBindSourceFollowGroupDb) BatchAddSuperCloudIssuanceUserRobotBindSourceFollowGroups(data []*models.SuperCloudIssuanceUserRobotBindSourceFollowGroup) (int64, error) {
	affected, err := s.Db.Insert(data)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
