﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindSourceMessageLogDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindSourceMessageLogDao {
	return &SuperCloudIssuanceUserRobotBindSourceMessageLogDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindSourceMessageLogDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotBindSourceMessageLogDb) InsertSuperCloudIssuanceUserRobotBindSourceMessageLog(m *models.SuperCloudIssuanceUserRobotBindSourceMessageLog) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserRobotBindSourceMessageLogDb) FindSuperCloudIssuanceUserRobotBindSourceMessageLogs(bindId, page, pageSize int) (m []*models.SuperCloudIssuanceUserRobotBindSourceMessageLog, err error) {
	err = s.Db.Where("activate_group_id =? ", bindId).Limit(pageSize, (page-1)*pageSize).OrderBy("id ASC").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return m, nil
}
