package models

type HappyOrchardSignDay struct {
	Id                int `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid               int `json:"uid" xorm:"default 0 INT(11)"`
	ContinuityDay     int `json:"continuity_day" xorm:"default 0 comment('连续签到天数') INT(11)"`
	LastContinuityDay int `json:"last_continuity_day" xorm:"comment('上一次连续签到天数') INT(11)"`
	SignTime          int `json:"sign_time" xorm:"default 0 comment('20240409') INT(11)"`
	LastSignTime      int `json:"last_sign_time" xorm:"default 0 comment('20240409') INT(11)"`
}
