package models

type SuperCloudIssuanceKeywordReplyWithActivateGroup struct {
	Id               int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	ActivateGroupId  int    `json:"activate_group_id" xorm:"not null default 0 comment('绑定激活群id') INT(11)"`
	State            int    `json:"state" xorm:"not null default 1 comment('状态(1正常 2暂停)') TINYINT(1)"`
	IsFollowOfficial int    `json:"is_follow_official" xorm:"not null default 1 comment('跟随官方(1:是 2:否)') TINYINT(1)"`
	CreateAt         string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
